Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.web.mapping
[Java] Class UrlCreatorCache

    java.lang.Object
      org.codehaus.groovy.grails.web.mapping.UrlCreatorCache

    @java.lang.SuppressWarnings({ "unchecked", "rawtypes" })
    public class UrlCreatorCache
    extends java.lang.Object

Implements caching layer for UrlCreator The "weight" of the cache is the estimated number of characters all cache entries will consume in memory. The estimate is not accurate. It's just used as a hard limit for limiting the cache size. You can tune the maximum weight of the cache by setting "grails.urlcreator.cache.maxsize" in Config.groovy. The default value is 160000 .

Authors:
  Lari Hotari

Since:
  1.3.5

Nested Class Summary
`static class` | `UrlCreatorCache.ReverseMappingKey`

Constructor Summary
`UrlCreatorCache(int maxSize)`

Method Summary
`void` | `clear()`
`UrlCreatorCache.ReverseMappingKey` | `createKey(java.lang.String controller, java.lang.String action, java.lang.String namespace, java.lang.String pluginName, java.lang.String httpMethod, java.util.Map params)`
`UrlCreator` | `lookup(UrlCreatorCache.ReverseMappingKey key)`
`UrlCreator` | `putAndDecorate(UrlCreatorCache.ReverseMappingKey key, UrlCreator delegate)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### UrlCreatorCache

    public UrlCreatorCache(int maxSize)

Method Detail

### clear

    public void clear()

### createKey

    public UrlCreatorCache.ReverseMappingKey createKey(java.lang.String controller, java.lang.String action, java.lang.String namespace, java.lang.String pluginName, java.lang.String httpMethod, java.util.Map params)

### lookup

    public UrlCreator lookup(UrlCreatorCache.ReverseMappingKey key)

### putAndDecorate

    public UrlCreator putAndDecorate(UrlCreatorCache.ReverseMappingKey key, UrlCreator delegate)

Groovy Documentation